function zavrit
global kontrola
selection = questdlg('Opravdu ukončit program?',...
                     'Zavřít',...
                     'Ano','Ne','Ano');

switch selection,
   case 'Ano',
       
        if kontrola==0;
            close(Vysledky)
        end
    clear all;   
    delete(gcf)
   case 'Ne'
     return
end